Skip to main content
POST
/
webhooks
/
{webhook}
/
rotate-secret
Rotate Signing Secret
curl --request POST \
  --url https://api.mintfax.com/v1/webhooks/{webhook}/rotate-secret \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "url": "<string>",
    "events": [
      "<string>"
    ],
    "is_active": true,
    "description": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "signing_secret": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://mintfax.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key as Bearer token. Use an account key (mfx_acct_...) for /account/* endpoints, and an environment key (mfx_test_... for sandbox, mfx_live_... for live) for /environment/*, /faxes, /webhooks, and /events.

Path Parameters

webhook
string
required

The webhook public id

Response

WebhookEndpointResource

data
WebhookEndpointResource · object
required
signing_secret
string
required
Last modified on May 21, 2026